# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: /home/cvsroot/gentoo-x86/app-emacs/qwerty/qwerty-1.1.ebuild,v 1.1 2003/05/13 10:27:47 candell Exp $

inherit elisp 

IUSE=""

DESCRIPTION="Switch between QWERTY and DVORAK without changing the console keymap."
HOMEPAGE="http://www.ossh.com/emacs/el/qwerty-dvorak/"
SRC_URI="mirror://gentoo/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"

DEPEND="virtual/emacs"

S="${WORKDIR}/${PN}*"

SITEFILE=50qwerty-gentoo.el

src_compile() {
	emacs --batch -f batch-byte-compile || die
}

src_install() {
	elisp-install ${PN} *.el
	elisp-site-file-install ${FILESDIR}/${SITEFILE}
}

pkg_postinst() {
	elisp-site-regen
	einfo "Please see ${SITELISP}/${PN}/qwerty.el for the complete documentation."
}

pkg_postrm() {
	elisp-site-regen
}
